Page MenuHomePhabricator

Don't give the user the option to discard changes when changing editor
Closed, ResolvedPublic1 Story Points

Description

We should be aiming to make the switching process as painless as possible. We should always assume the the user *doesn't* want to discard their changes, so we usually use these warning boxes when they are accidentally about to lose some work. In fact, this dialog only exists because originally switching editor did result in lost work. Anyone who wants to deliberately discards their work can do so the way they would in any other context: by reloading the page.

As suggested by @Pginer-WMF in slide #4 http://imgur.com/a/9eC4t

Event Timeline

Esanders created this task.Mar 2 2016, 1:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 1:01 PM
Esanders updated the task description. (Show Details)Mar 2 2016, 1:01 PM
Esanders added a subscriber: Pginer-WMF.
Jdforrester-WMF triaged this task as Normal priority.Mar 7 2016, 7:41 PM
Jdforrester-WMF set the point value for this task to 1.

Change 275606 had a related patch set uploaded (by Jforrester):
Don't give the user the option to discard changes when changing editor

https://gerrit.wikimedia.org/r/275606

Elitre added a subscriber: Elitre.Mar 7 2016, 9:40 PM

Change 275606 merged by jenkins-bot:
Don't give the user the option to discard changes when changing editor

https://gerrit.wikimedia.org/r/275606

Jdforrester-WMF closed this task as Resolved.Mar 7 2016, 11:45 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Pginer-WMF updated the task description. (Show Details)Mar 8 2016, 9:32 AM
AlexMonk-WMF reopened this task as Open.Mar 8 2016, 8:20 PM
AlexMonk-WMF added a subscriber: AlexMonk-WMF.

This change does not appear to have been done properly, see comments in Gerrit.

Jdforrester-WMF closed this task as Resolved.Apr 19 2017, 7:02 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 19 2017, 7:02 PM